## Documentation Index

Fetch the complete documentation index at: [/docs/llms.txt](/content/docs/llms.txt)

Use this file to discover all available pages before exploring further.

---

# DELETE /v1/m2m/clients/{client_id}

### C# Example

```csharp
// DELETE /v1/m2m/clients/{client_id}
const stytch = require('stytch');

const client = new stytch.B2BClient({
  project_id: '${projectId}',
  secret: '${secret}',
});

const params = {
  client_id: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
};

client.M2M.Clients.Delete(params)
  .then(resp => { console.log(resp) })
  .catch(err => { console.log(err) });
```

### Go Example

```go
// DELETE /v1/m2m/clients/{client_id}
package main

import (
	"context"
	"log"
	"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
	"github.com/stytchauth/stytch-go/v18/stytch/consumer/m2m/clients"
)

func main() {
	client, err := b2bstytchapi.NewClient(
		"${projectId}",
		"${secret}",
	)
	if err != nil {
		log.Fatalf("error instantiating client: %v", err)
	}

params := &clients.DeleteParams{
		ClientID: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
	}

resp, err := client.M2M.Clients.Delete(context.Background(), params)
	if err != nil {
		log.Fatalf("error in method call: %v", err)
	}

log.Println(resp)
}
```

### Java Example

```java
// DELETE /v1/m2m/clients/{client_id}
package com.example;

import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.StytchResult;
import com.stytch.java.consumer.models.m2mclients.DeleteRequest;

public class Main {
    public static void main(String[] args) {
        StytchB2BClient.configure("${projectId}", "${secret}");

DeleteRequest params = new DeleteRequest();
        params.setClientId("m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885");

Object result = StytchB2BClient.getM2M().getClients().delete(params);
        if (result instanceof StytchResult.Success) {
          System.out.println(((StytchResult.Success) result).getValue());
        } else {
          System.out.println(((StytchResult.Error) result).getException());
        }
    }
}
```

### Python Example

```python
# DELETE /v1/m2m/clients/{client_id}
from stytch import B2BClient

client = B2BClient(
    project_id="${projectId}",
    secret="${secret}",
)

resp = client.m2m.clients.delete(
    client_id="m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
)

print(resp)
```

### Error Responses

#### 401 Unauthorized

```json
{
  "status_code": 401,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "unauthorized_credentials",
  "error_message": "Unauthorized credentials.",
  "error_url": "https://stytch.com/docs/api/errors/401"
}
```

#### 429 Too Many Requests

```json
{
  "status_code": 429,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "too_many_requests",
  "error_message": "Too many requests have been made.",
  "error_url": "https://stytch.com/docs/api/errors/429"
}
```

#### 500 Internal Server Error

```json
{
  "status_code": 500,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "internal_server_error",
  "error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
  "error_url": "https://stytch.com/docs/api/errors/500"
}
```

---

### Deleting An M2M Client

Deleting an M2M Client will not invalidate any existing JWTs issued to the client, only prevent it from receiving new ones. To protect more-sensitive routes, pass a lower `max_token_age` value when [authenticating the token](/content/docs/api-reference/b2b/api/m2m/token/authenticate-access-token/index.html).

### Authorizations

- **Authorization**
  - Type: `Basic Authentication`
  - Required: Yes
  - Description: Basic authentication header of the form `Basic <encoded-value>`, where `<encoded-value>` is the base64-encoded string `username:password`.

### Path Parameters

- **client_id** (string): **required** - The ID of the client.

### Response

- 200: **Successful response**
  - `request_id` (string): required - A globally unique UUID that is returned with every API call. This value is important to log for debugging purposes.
  - `client_id` (string): required - The ID of the client.
  - `status_code` (integer): required - The HTTP status code of the response, following standard HTTP response status patterns.
